dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_1.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_2.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_parchment_1.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_parchment_2.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_with_parchment.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_legrand_out.lua')
dofile('data/Scripts/scenes/04_guest_room/comics/04_guest_room_comics_dupin.lua')

dofile('data/Scripts/scenes/04_guest_room/anim/04_guest_room_anim_bg.lua')
dofile('data/Scripts/scenes/04_guest_room/anim/04_guest_room_anim_z_dog.lua')

class 'l_04_guest_room' (LevelEventHandler)

function l_04_guest_room:__init(name)
	LevelEventHandler.__init(self, name)
	
	self.ambient_sound_entety = MakeSoundEntity('04_guest_room')
	self.ambient_sound_entety:PlaySound(true)
	
	-- animations ----------------------------------
	self.anim_bg = AnimationBundle(Loader_04_BG_Animations(Object('bg')))
	self.anim_bg:PlayAnimation('bg')
	
	-- link scenes ---------------------------------
	LinkScene('area_link_03', 'CursorDoorDown',    'l_03_yard')
	LinkScene('area_link_05', 'CursorDoorLeftUp',  'l_05_office')
	LinkScene('area_link_06', 'CursorDoorRightUp', 'l_06_garden')
	
	-- main ogic ----------------------------------
	ObjectVisible('area_apply_deciphered_parchment', false)
	ObjectVisible('area_comics_legrand_out', false)
	ObjectVisible('area_link_06',            false)
	
	ObjectOpacity('layer_door_open_05', 0)
	ObjectOpacity('layer_door_open_06', 0)
	-------------------------
	
	CreateSmartZoomZone('dog')
	CreateSmartZoomZone('table')
	
	do
	    self.zoom_dog.on_open = function()
	        if not self.video_zoom_dog_idle then
	            self.video_zoom_dog_idle = CreateVideoEntity('data/Video/Scenes/04_guest_room/04_dog_idle.ogg', '', true)
                self.video_zoom_dog_idle:AttachTo(Object('z_dog_bg'))
                self.video_zoom_dog_idle:SetZ(2)
                self.video_zoom_dog_idle:SetScale(0.68)
                self.video_zoom_dog_idle:SetXY(-20, 85)
                self.video_zoom_dog_idle:SetLoop(true)
                self.video_zoom_dog_idle:SetHideOnStop(true)
	        end
	        
	        self.video_zoom_dog_idle:PlayVideo()
	    end
	    ---------------------
	    
	    self.zoom_dog.on_close = function()
	        self.timer:Add( function()
	                            self.video_zoom_dog_idle:StopVideo()
	                        end,
	                        ZOOM_ZONE_APPEARING_TIME)
	    end
	    ---------------------
	end
	
	ObjectVisible('area_get_zd_dog', false)
	-------------------------
	
	if not HasGameState('DOG_ACTIVE', 'true') then
        self.video_dog_idle = CreateVideoEntity('data/Video/Scenes/04_guest_room/04_dog_idle.ogg', '', true)
        self.video_dog_idle:AttachTo(Object('bg'))
        self.video_dog_idle:SetZ(11)
        self.video_dog_idle:SetScale(0.43)
        self.video_dog_idle:SetXY(68, -25)
        self.video_dog_idle:SetLoop(true)
        self.video_dog_idle:SetHideOnStop(true)
        self.video_dog_idle:PlayVideo()
    end
	-------------------------
	
	local function on_click_legrand(e)
	    if e.save then
	        return
	    end
	    	        
        local allToolFounded =  IsToolFound('05_nail_with_blood') and
                                IsToolFound('05_piece_of_cloth')  and
                                IsToolFound('05_deciphered_parchment_01')
        
        if not allToolFounded then
            self:show_comics_legrand_second()
        end
	end
	-------------------------
	
	local function on_click_legrand_out(e)
	    if e.save then
	        return
	    end
	    
	    self:show_comics_legrand_out()
	end
	-------------------------
	
	local function on_apply_deciphered_parchment(e)
        ObjectVisible(e.target, false)
        self:create_comics_legrand_with_parchment()
    end
	-------------------------
	
	local function on_click_apply_deciphered_parchment_area(e)
	    self:show_comics_legrand_parchment_2()
	end
	-------------------------
	
	self:create_comics_legrand_first()
	
	ObjectOpacity('layer_legrand_asking', 0)
	
	if IsSceneVisited('l_05_office') then
	    ObjectVisible('area_click_legrand', false)
	    
	    if IsToolFound('05_nail_with_blood') and
           IsToolFound('05_piece_of_cloth')  and
           IsToolFound('05_deciphered_parchment_01')
        then
            ObjectOpacity('layer_legrand_asking', 1)
            self:show_comics_legrand_parchment_1()
        end
    else
        self.video_legrand_idle = CreateVideoEntity('data/Video/Scenes/04_guest_room/04_legrand_idle.ogg', '', true)
        self.video_legrand_idle:AttachTo(Object('bg'))
        self.video_legrand_idle:SetZ(40)
        self.video_legrand_idle:SetXY(-117, 47)
        self.video_legrand_idle:SetLoop(true)
        self.video_legrand_idle:PlayVideo()
    end
    -------------------------
	
	RegisterMonologObject('area_hint_painting', 'BBT_04_PAINTING')
	RegisterActiveObject('area_click_legrand',      on_click_legrand,     true, 'CursorGlass')
	RegisterActiveObject('area_comics_legrand_out', on_click_legrand_out, true, 'CursorGlass')
    RegisterToolApplyInfo('05_deciphered_parchment_01', 'area_apply_deciphered_parchment', on_apply_deciphered_parchment, on_click_apply_deciphered_parchment_area) --'BBT_04_NEED_APPLY_DECIPHERED_PARCHMENT')
	-------------------------
	
	
	-- zoom zones ----------------------------------
	
	-- ZOOM DOG
	do
	    --CreateSmartZoomZone('dog')
	    ---------------------
	    
	    self.anim_dog = AnimationBundle(Loader_04_Zoom_Dog_Animations(Object('z_dog_bg')))
	    self.anim_dog:PlayAnimation('action')
	    self.anim_dog:GetAnimation('action'):SetClippingRect(self.zoom_dog:GetClippingInfo())
	    ---------------------
	    
	    local function on_get_dog(e)
	        ObjectVisible(e.target, false)
	        ObjectVisible('area_link_06', true)
	        
	        if self.video_dog_idle then
	            self.video_dog_idle:StopVideo()
	        end
	        
	        NotebookPushNote('note_04_dog')
	        
	        if e.save then
	            self.zoom_dog:CloseAndDisable()
	            self.anim_dog:StopAnimation('action')
	            
	            ObjectOpacity('layer_door_open_06', 1)
	        else
	            SetGameState('DOG_ACTIVE', 'true')
	            
	            local targetPos = Vector(self:GetPanel():GetObject('area_dog'):GetScrX(),
	                                     self:GetPanel():GetObject('area_dog'):GetScrY())
	                                         
	            local startPos  = Vector(Object('area_get_zd_dog'):GetScrX(),
                                         Object('area_get_zd_dog'):GetScrY())
                
                local callback = function()
                    self.zoom_dog:CloseAndDisable()
                    self.anim_dog:StopAnimation('action')
                    
                    do
                        local dogAppearTime = 0.5
                        local panel = self:GetPanelLuaObject()
                        
                        panel:PlayIdleDog()
                        panel.dog.anims.idle:ChangeOpacity(0, 1, dogAppearTime)
                        panel:GetObject('cover_dog'):ChangeOpacity(1, 0, dogAppearTime)
                        
                        self.timer:Add( function()
                                            panel:GetObject('area_dog'):SetVisible(true)
                                        end,
                                        dogAppearTime)
                    end
                    
                    self.timer:Add( function()
                                        ObjectOpacity('layer_door_open_06', 1, 0.5)
                                    end,
                                    ZOOM_ZONE_APPEARING_TIME)
                end
                
	            CreateDogEffect(targetPos, startPos, callback)
	        end
	    end
	    ---------------------
	    
	    RegisterMonologObject('area_hint_zd_dog', 'BBT_04_DOG')
	    RegisterActiveObject('area_get_zd_dog', on_get_dog)
	end
	
	-- ZOOM TABLE
	do
	    --CreateSmartZoomZone('table')
	    ---------------------
	    
	    ObjectVisible('area_find_zt_nut_cracker', false)
	    ObjectVisible('area_apply_zt_opener',     false)
	    ---------------------
	    
	    local function on_find_pencil(e)
	        ObjectVisible(e.target, false)
	        ObjectVisible('area_apply_zt_opener', true)
	        
	        ObjectOpacity('z_table_pencil', 0)
	        ObjectOpacity('layer_pencil',   0)
	    end
	    ---------------------
	    
	    local function on_apply_opener(e)
	        ObjectVisible(e.target, false)
	        
	        if e.save then
	            ObjectOpacity('z_table_cover', 0)
	            ObjectOpacity('layer_cover',   0)
	            ObjectVisible('area_find_zt_nut_cracker', true)
	        else
	            local time = 0.5
	            ObjectOpacity('z_table_cover', 0, time)
	            ObjectOpacity('layer_cover',   0, time)
	            
	            MakeSoundEntity('04_apply_opener'):PlaySound(false)
	            
	            self.timer:Add( function()
	                                ObjectVisible('area_find_zt_nut_cracker', true)
	                            end,
	                            time)
	        end
	    end
	    ---------------------
	    
	    local function on_find_nut_cracker(e)
	        ObjectVisible(e.target, false)
	        ObjectOpacity('z_table_nut_cracker', 0)
	    end
	    ---------------------
	    
	    RegisterToolFindInfo('04_pencil', 'area_find_zt_pencil', on_find_pencil, false)
	    RegisterToolApplyInfo('03_opener', 'area_apply_zt_opener', on_apply_opener, 'BBT_04_NEED_APPY_OPENER')
	    RegisterToolFindInfo('04_nut_pliers', 'area_find_zt_nut_cracker', on_find_nut_cracker)
	end
end
-------------------------------------------------------------------------------

function l_04_guest_room:create_comics_legrand_first()
    local comics_name = '04_comics_legrand_first'
    
    local comics_finish = function(save)
        NotebookPushNote('note_04_legrand')
        ObjectOpacity('layer_door_open_05', 1)
    end
    
    if IsComicsShown(comics_name) then
        comics_finish(true)
    else
        local comics = l_04_guest_room_comics_legrand_1()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_FIRST_01', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_FIRST_01.ogg', scale=SCR_W/800}, 'layer_comics_legrand_bg_1'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_FIRST_02', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_FIRST_02.ogg', scale=SCR_W/800}, 'layer_comics_legrand_bg_1'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_FIRST_03', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_FIRST_03.ogg', scale=SCR_W/800}, 'layer_comics_legrand_bg_1'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_FIRST_04', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_FIRST_04.ogg', scale=SCR_W/800}, 'layer_comics_legrand_bg_1')
                            )
        
        Object('layer_comics_legrand_bg_1'):GetAnimation():SetColor('0x01FFFFFF')
        
        c:SetInstantlyFrames('C_04_LEGRAND_FIRST_02',
                             'C_04_LEGRAND_FIRST_03',
                             'C_04_LEGRAND_FIRST_04')
        
        c.on_finish = function()
            self.anim_bg:PlayAnimation('bg')
            
            if self.video_legrand_idle then
                self.video_legrand_idle:PlayVideo()
            end
            
            if self.video_dog_idle then
                self.video_dog_idle:PlayVideo()
            end
            
            comics_finish(false)
        end
        
        self.mouseBlocker:Push()
        self.timer:Add( function()
                            self.mouseBlocker:Pop()
                            
                            c:Start()
                            
                            self.timer:Add( function()
                                                self.anim_bg:StopAnimation('bg')
                                                
                                                if self.video_legrand_idle then
                                                    self.video_legrand_idle:StopVideo()
                                                end
                                                
                                                if self.video_dog_idle then
                                                    self.video_dog_idle:StopVideo()
                                                end
                                            end,
                                            c:GetCurrentFrame().defaultShowTextTime)
                        end,
                        1)
    end
end
-------------------------------------------------------------------------------


function l_04_guest_room:show_comics_legrand_second()
    if not self.comics_leggrand_second then
        local comics_name = '04_comics_legrand_second'
        
        local comics = l_04_guest_room_comics_legrand_2()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_FIRST_04_2', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_FIRST_04.ogg', scale=SCR_W/800}, 'layer_comics_legrand_bg_2')
                            )
        
        Object('layer_comics_legrand_bg_2'):GetAnimation():SetColor('0x01FFFFFF')
        
        c.on_finish = function()
            self.anim_bg:PlayAnimation('bg')
            
            if self.video_legrand_idle then
                self.video_legrand_idle:PlayVideo()
            end
            
            if self.video_dog_idle then
                self.video_dog_idle:PlayVideo()
            end
        end
        
        self.comics_leggrand_second = c
    end
    
    self.comics_leggrand_second:Start()
    
    self.timer:Add( function()
                        self.anim_bg:StopAnimation('bg')
                        
                        if self.video_legrand_idle then
                            self.video_legrand_idle:StopVideo()
                        end
                        
                        if self.video_dog_idle then
                            self.video_dog_idle:StopVideo()
                        end
                    end,
                    self.comics_leggrand_second:GetCurrentFrame().defaultShowTextTime)
end
-------------------------------------------------------------------------------

function l_04_guest_room:show_comics_legrand_parchment_1()
    local comics_name = '04_comics_legrand_parchment_1'
    
    local function on_finish(save)
        ObjectVisible('area_apply_deciphered_parchment', true)
    end
    
    if IsComicsShown(comics_name) then
        on_finish(true)
    else
        local comics = l_04_guest_room_comics_legrand_parchment_1()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_PARCHMENT_01', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_PARCHMENT_01.ogg', x=658}, 'layer_comics_legrand_bg_3'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_PARCHMENT_02', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_PARCHMENT_02.ogg', x=618}, 'layer_comics_legrand_bg_3')
                            )
        
        c:SetInstantlyFrames('C_04_LEGRAND_PARCHMENT_02')
        
        c.on_finish = function()
            self.anim_bg:PlayAnimation('bg')
            
            if self.video_dog_idle then
                self.video_dog_idle:PlayVideo()
            end
            
            on_finish(false)
        end
        
        c:Start()
        
        self.timer:Add( function()
                            self.anim_bg:StopAnimation('bg')
                            
                            if self.video_dog_idle then
                                self.video_dog_idle:StopVideo()
                            end
                        end,
                        c:GetCurrentFrame().defaultShowTextTime)
    end
end
-------------------------------------------------------------------------------

function l_04_guest_room:show_comics_legrand_parchment_2()
    if not self.comics_leggrand_parchment_2 then
        local comics_name = '04_comics_legrand_second'
        
        local comics = l_04_guest_room_comics_legrand_parchment_2()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_PARCHMENT_02_2', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_PARCHMENT_02.ogg', x=614}, 'layer_comics_legrand_bg_4')
                            )
        
        c:SetInstantlyFrames('C_04_LEGRAND_PARCHMENT_02_2')
        
        c.on_finish = function()
            self.anim_bg:PlayAnimation('bg')
            
            if self.video_dog_idle then
                self.video_dog_idle:PlayVideo()
            end
        end
        
        self.comics_leggrand_parchment_2 = c
    end
    
    self.comics_leggrand_parchment_2:Start()
    
    self.timer:Add( function()
                            self.anim_bg:StopAnimation('bg')
                            
                            if self.video_dog_idle then
                                self.video_dog_idle:StopVideo()
                            end
                        end,
                        self.comics_leggrand_parchment_2:GetCurrentFrame().defaultShowTextTime)
end
-------------------------------------------------------------------------------

function l_04_guest_room:create_comics_legrand_with_parchment()
    local comics_name = '04_comics_legrand_with_parchment'
    
    local comics_finish = function(save)
        --self.zoom_legrand:CloseAndDisable()
        ObjectVisible('area_get_zd_dog',  true)
        ObjectVisible('area_hint_zd_dog', false)
        
        if save then
            self:create_comics_dupin()
            ObjectOpacity('layer_legrand_asking', 0)
            ObjectOpacity('layer_door_open_05', 0)
        else
            local delay = 0.5
            local time  = 0.5
            ObjectOpacity('layer_legrand_asking', 0, time)
            ObjectOpacity('layer_door_open_05', 0, time)
            
            self.mouseBlocker:Push()
            self.timer:Add( function()
                                self.mouseBlocker:Pop()
                                self:create_comics_dupin()
                            end,
                            ZOOM_ZONE_APPEARING_TIME + delay + time)
        end
    end
    
    if IsComicsShown(comics_name) then
        comics_finish(true)
    else
        local comics = l_04_guest_room_comics_legrand_with_parchment()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_WITH_PARCHMENT_01', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_WITH_PARCHMENT_01.ogg', x=652}, 'layer_comics_legrand_bg_5'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_WITH_PARCHMENT_02', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_WITH_PARCHMENT_02.ogg', x=644}, 'layer_comics_legrand_bg_5'),
                            CreateComicsVideoFrame('Legrand',  'C_04_LEGRAND_WITH_PARCHMENT_03', nil, {path='data/Video/Scenes/04_guest_room/C_04_LEGRAND_WITH_PARCHMENT_03.ogg', x=649}, 'layer_comics_legrand_bg_5'))
        
        c:SetInstantlyFrames('C_04_LEGRAND_WITH_PARCHMENT_02',
                             'C_04_LEGRAND_WITH_PARCHMENT_03')
        
        c.on_finish = function()
            self.anim_bg:PlayAnimation('bg')
            
            if self.video_dog_idle then
                self.video_dog_idle:PlayVideo()
            end
            
            comics_finish(false)
        end
        
        c:Start()
        
        self.timer:Add( function()
                            self.anim_bg:StopAnimation('bg')
                            
                            if self.video_dog_idle then
                                self.video_dog_idle:StopVideo()
                            end
                        end,
                        c:GetCurrentFrame().defaultShowTextTime)
    end
end
-------------------------------------------------------------------------------

function l_04_guest_room:create_comics_dupin()
    local comics_name = '04_comics_dupin'
    
    local comics_finish = function(save)
        ObjectVisible('area_link_05', false)
        ObjectVisible('area_comics_legrand_out', true)
        
        --NotebookPushNote('note_04_dupin')
        
        if save then
            if not InteractiveHelp.IsTipShown('DOG') then
                self.zoom_dog:Open()
                InteractiveHelp.ShowTip('DOG', ZOOM_ZONE_APPEARING_TIME, true)
            end
        else
            self.mouseBlocker:Push()
            self.timer:Add( function()
                                self.zoom_dog:Open()
                                self.mouseBlocker:Pop()
                                
                                InteractiveHelp.ShowTip('DOG', ZOOM_ZONE_APPEARING_TIME, true)
                            end,
                            ZOOM_ZONE_APPEARING_TIME)
        end
    end
    
    if IsComicsShown(comics_name) then
        comics_finish(true)
    else
        local comics = l_04_guest_room_comics_dupin()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsVideoFrame('Dupin',  'C_04_DUPIN_01', nil, {path='data/Video/Scenes/04_guest_room/C_04_DUPIN_01.ogg', isAlpha=true, x=320}, 'layer_comics_dupin_bg'),
                            CreateComicsVideoFrame('Dupin',  'C_04_DUPIN_02', nil, {path='data/Video/Scenes/04_guest_room/C_04_DUPIN_02.ogg', isAlpha=true, x=400}, 'layer_comics_dupin_bg')
                            )
        
        Object('layer_comics_dupin_bg'):GetAnimation():SetColor('0x01FFFFFF')
        
        c.on_finish = function()
            comics_finish(false)
        end
            
        c:Start()
    end
end
-------------------------------------------------------------------------------

function l_04_guest_room:show_comics_legrand_out()
    if not self.comics_leggrand_out then
        local comics_name = '04_comics_legrand_out'
        
        local comics = l_04_guest_room_comics_legrand_out()
		comics:LoadData(play_field)
		
        local c = Comics(comics_name,
                            CreateComicsFrame('Legrand', 'C_04_LEGRAND_OUT_01', nil)
                            )
        
        c.on_finish = function()
            ObjectVisible('area_comics_legrand_out', false)
            
            self.timer:Add( function()
                                ObjectVisible('area_comics_legrand_out', true)
                            end,
                            c:GetCurrentFrame().defaultShowTextTime)
        end
        
        self.comics_leggrand_out = c
    end
    
    self.comics_leggrand_out:Start()
end
-------------------------------------------------------------------------------

function l_04_guest_room:OnUpdate(dt)
end

function l_04_guest_room:OnAllItemsFound()
end

function l_04_guest_room:OnObjectMouseEnter(object)
end

function l_04_guest_room:OnObjectMouseLeave(object)
end

function l_04_guest_room:OnScreenObjectMouseDown(object, key)
end

function l_04_guest_room:OnObjectMouseDownProcessed(is_wrong_click)
end

function l_04_guest_room:OnMouseMove(previous_pos, current_pos)
end

function l_04_guest_room:OnObjectMouseUp(object)
end

function l_04_guest_room:OnObjectFound(object)
end

function l_04_guest_room:OnToolFound(tool)
end

function l_04_guest_room:OnToolApply(tool, object)
end

function l_04_guest_room:OnToolAddToInventory(tool)
end

function l_04_guest_room:OnObjectReachPanel(object)
end

function l_04_guest_room:OnButtonPress(title)
end

function l_04_guest_room:OnSetTool(tool)
end

function l_04_guest_room:OnLoaded()
end

function l_04_guest_room:OnDestroy()
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_04_guest_room:LoadData(screen)
	local anim
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,50,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_link_03',anim,512,700,100,0,128,17)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_link_05',anim,127,330,100,0,17,40)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_link_06',anim,621,300,100,0,17,30)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_zoom_table',anim,805,458,100,0,1.5,0.9)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_zoom_dog',anim,621,300,100,0,17,30)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_comics_legrand_out',anim,127,330,100,0,17,40)
	
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/layer_cover.png',0,0,48,22,1,0)
	anim:SetHotSpot(24,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cover',anim,805,439,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/layer_pencil.png',0,0,48,22,1,0)
	anim:SetHotSpot(24,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_pencil',anim,807,439,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/layer_legrand_asking.png',0,0,339,549,1,0)
	anim:SetHotSpot(169,274)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_legrand_asking',anim,374,435,91,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/layer_door_open_05.png',0,0,178,346,1,0)
	anim:SetHotSpot(89,173)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_door_open_05',anim,127,349,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/04_guest_room/main/layers/layer_door_open_06.png',0,0,200,352,1,0)
	anim:SetHotSpot(100,176)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_door_open_06',anim,579,336,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(60,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_legrand',anim,421.56,268,100,0,1.86,3)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,36)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_apply_deciphered_parchment',anim,424,257,100,0,1.81,3)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_hint_painting',anim,352,256,99,-15,12,16)
	
end
-- CLEAR_ON_SAVE_END
